<?php
require_once(dirname(__FILE__).'/autoload.php');
protegeArquivo(basename(__FILE__));
class remetentes extends base{
	public function __construct($campos=array()){
		parent::__construct();
		//$this->tabela = "paineladm_usuarios";
		$this->tabela = "remetente";
		if(sizeof($campos)<=0):
			$this->campos_valores = array(
				"prd_nome" => NULL,
				"prd_apelido" => NULL,
				"prd_endereco" => NULL,
				"prd_municipio" => NULL,
				"prd_uf" => NULL,
				"prd_renasem" => NULL,
				"prd_telefone" => NULL,
				"prd_cep" => NULL,
				"prd_cpf" => NULL,
				"prd_id_lab" => NULL,
				"prd_datacad" => NULL,
				"prd_email1" => NULL,
				"prd_email2" => NULL,
				"prd_email3" => NULL,
			);
		else:
			$this->campos_valores = $campos;
		endif;
		$this->campopk = "prd_id";
	}
    
 
    
    public function existeRegistro($campo=NULL,$valor=NULL){
        if ($campo!=NULL && $valor!=NULL):
            is_numeric($valor) ? $valor = $valor : $valor = "'".$valor."'";
            $this->extras_select = "WHERE $campo=$valor";
            $this->selecionaTudo($this);
            if ($this->linhasafetadas > 0):
                return TRUE;
            else:
                return FALSE;
            endif;
        else:
            $this->trataerro(__FILE__,__FUNCTION__,NULL,'Faltam parâmetros para executar a função',TRUE);
        endif;
    }
}
?>